# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(List/Util.pm) perl(Module/Build.pm) perl(Module/Manifest/Skip.pm) perl(Moose.pm) perl(Set/Object.pm) perl(Term/ReadKey.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(Text/Sprintf/Named.pm) perl(Text/Table.pm) perl(Tie/RefHash.pm) perl(YAML/Tiny.pm) perl(ok.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name Prompt-ReadKey
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Darcs style single readkey option prompt.
Group: Development/Perl
License: perl
URL: https://github.com/sartak/prompt-readkey/tree

Source0: http://cpan.org.ua/authors/id/S/SA/SARTAK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module aims to provide a very subclassible the Term::ReadKey manpage based prompter
inspired by Darcs' (http://darcs.net) fantastic command line user interface.

Many options exist both as accessors for default values, and are passable as
named arguments to the methods of the api.

The api is structured so that the underlying methods are usable as well, you
don't need to use the high level api to make use of this module if you don't
want to.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes
%perl_vendor_privlib/P*

%changelog
* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

